#
# spec file for package ghc-SDL
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name SDL
Name:           ghc-%{pkg_name}
Version:        0.6.7.0
Release:        bp155.3.16
Summary:        Binding to libSDL
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  libSDL-devel
ExcludeArch:    %{ix86}

%description
Simple DirectMedia Layer (libSDL) is a cross-platform multimedia library
designed to provide low level access to audio, keyboard, mouse, joystick, 3D
hardware via OpenGL, and 2D video framebuffer. It is used by MPEG playback
software, emulators, and many popular games, including the award winning Linux
port of "Civilization: Call To Power.".

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires:       libSDL-devel
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/Examples
%dir %{_datadir}/%{pkg_name}-%{version}/Examples/MacOSX
%{_datadir}/%{pkg_name}-%{version}/Examples/MacOSX/Main.hs
%{_datadir}/%{pkg_name}-%{version}/Examples/MacOSX/MainWrapper.hs
%{_datadir}/%{pkg_name}-%{version}/Examples/MacOSX/Makefile
%{_datadir}/%{pkg_name}-%{version}/Examples/MacOSX/mainc.c
%{_datadir}/%{pkg_name}-%{version}/MACOSX
%{_datadir}/%{pkg_name}-%{version}/README
%{_datadir}/%{pkg_name}-%{version}/WIN32

%files devel -f %{name}-devel.files
%doc changes.txt

%changelog
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Tue Aug 18 2020 Peter Simons <psimons@suse.com>
- Replace %%setup -q with the more modern %%autosetup macro.
* Tue Jun 16 2020 Peter Simons <psimons@suse.com>
- Re-generate file with latest version of spec-cleaner.
* Fri Nov  8 2019 Peter Simons <psimons@suse.com>
- Drop obsolete group attributes.
* Sat Oct 20 2018 Peter Simons <psimons@suse.com>
- Use https URL to refer to bugs.opensuse.org.
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Tue Jul 17 2018 psimons@suse.com
- Update SDL to version 0.6.7.0.
  Upstream has not updated the file "changes.txt" since the last
  release.
* Thu May 17 2018 psimons@suse.com
- Update SDL to version 0.6.6.0.
  * Made SDL_WaitEvent from unsafe to safe, because it blocks.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.6.5.1 revision 1 with cabal2obs.
  This update obsoletes ghc-7_8.diff.
* Tue May 12 2015 dap.darkness@gmail.com
- Added ghc-7_8.diff to resolve build time fail.
* Mon Oct 28 2013 sbahling@suse.com
- Remove doc subpackage
* Mon Oct 28 2013 sbahling@suse.com
- Update spec file.
  * Use new cabal-rpm template
  * Builds for SUSE Linux Enterprise 11
* Thu Aug  1 2013 dap.darkness@gmail.com
- Update to upstream version 0.6.5:
  * No upstream changelog.
- Fixed for Haskell Platform 2013.2.
* Mon Jun 17 2013 dap.darkness@gmail.com
- Initial build.
